%define module_name Image-JPEG-Size
# BEGIN SourceDeps(oneline):
BuildRequires: libjpeg-devel perl(Devel/CheckLib.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: find the size of JPEG images
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-%{version}.tar.gz

%description
This module uses libjpeg to rapidly determine the size of one or more JPEG
images.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes SECURITY.md
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt1.1
- rebuild with perl 5.28.1

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

